Summary:	An X Window System based backgammon game
Name:		xgammon
Version:	0.98
Release: 16mdk
Copyright:	GPL
Group:		Games/Boards
BuildRequires:	XFree86-devel

Source0:	ftp://sunsite.unc.edu:/pub/Linux/X11/games/strategy/xgammon-0.98.tar.bz2
Source1:	%{name}
Source2:	%{name}16.xpm.bz2
Source3:	%{name}32.xpm.bz2
Source4:	%{name}48.xpm.bz2

Patch0:		xgammon-0.98-config.patch.bz2
Patch1:		xgammon-0.98-dirent.patch.bz2
Patch2:         xgammon-0.98-db.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Xgammon is an X Window System based backgammon game.

Xgammon allows you to play against the computer, or you can play against another
person. Xgammon also supports playing a game against another person on a remote
X terminal, and will display a second board there for their use.

%prep

%setup -q -c
%patch0 -p1 -b .rhconfig
%patch1 -p1
%patch2 -p0 -b .old

%build
export PATH=$PATH:.
xmkmf
make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man6
install -m 644 xgammon.6 $RPM_BUILD_ROOT/usr/X11R6/man/man6/xgammon.6

install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/usr/lib/menu/
install -m 755 -d $RPM_BUILD_ROOT/usr/share/icons/mini
bzcat %SOURCE2 > $RPM_BUILD_ROOT/usr/share/icons/mini/%{name}.xpm
install -m 755 -d $RPM_BUILD_ROOT/usr/share/icons
bzcat %SOURCE3 > $RPM_BUILD_ROOT/usr/share/icons/%{name}.xpm
install -m 755 -d $RPM_BUILD_ROOT/usr/share/icons/large
bzcat %SOURCE4 > $RPM_BUILD_ROOT/usr/share/icons/large/%{name}.xpm

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/X11R6/bin/xgammon
/usr/X11R6/lib/X11/app-defaults/XGammon
/usr/X11R6/lib/X11/xgammon
/usr/X11R6/man/man6/xgammon.6*
%{_menudir}/*
%{_miconsdir}/*.xpm
%{_iconsdir}/*.xpm
%{_liconsdir}/*.xpm


%changelog
* Fri Jan 19 2001 Etienne Faure  <etienne@mandrakesoft.com> 0.98-16mdk
- small fixes

* Sat Dec 16 2000 Etienne Faure  <etienne@mandraksoft.com> 0.98-15mdk
- macros

* Thu Aug 31 2000 Mark Walker <mwalker@mandrakesoft.com> 0.98-14mdk
- Release build

* Wed Aug 16 2000 David BAUDENS <baudens@mandrakesoft.com> 0.98-13mdk
- Fix menu entry
- %%update_menus %%clean_menus

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.98-12mdk
- automatically added BuildRequires

* Wed May 03 2000 dam's <damien@mandrakesoft.com> 0.98-11mdk
- Corrected icons.

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 0.98-10mdk
- Convert gif icon to xpm.

* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 0.98-9mdk
- Added menu entry.

* Mon Mar 27 2000 dam's <damien@mandrakesoft.com> 0.98-8mdk
- Release.

* Fri Nov 12 1999 dam's <damien@mandrakesoft.com>
- Mandrake release

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 14)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- wmconfig

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
